Name:           xfconf
Version:        4.6.0
Release:        3.35.moblin2
Summary:        Hierarchical configuration system for Xfce

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.xfce.org/
Source0:        http://www.xfce.org/archive/xfce-%{version}/src/xfconf-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  libxfce4util-devel = %{version}
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  perl(ExtUtils::Depends) perl(ExtUtils::PkgConfig) perl(Glib)
BuildRequires:  gettext

Obsoletes: libxfce4mcs < 4.4.3-2

%description
Xfconf is a hierarchical (tree-like) configuration system where the
immediate child nodes of the root are called "channels".  All settings
beneath the channel nodes are called "properties."

%package devel
Summary: Development tools for xfconf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: dbus-devel
Requires: dbus-glib-devel
Requires: glib2-devel
Obsoletes: libxfce4mcs-devel < 4.4.3-2
Obsoletes: xfce-mcs-manager-devel < 4.4.3-2

%description devel
This package includes the libraries and header files you will need
to compile applications for xfconf.

%package perl
Summary: Perl modules for xfconf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description perl
This package includes the perl modules and files you will need to 
interact with xfconf using perl. 

%prep
%setup -q

%build
%configure --disable-static --with-perl-options=INSTALLDIRS="vendor"
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unneeded la files. 
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
# remove perl temp file
rm -f $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod
# remove unneeded dynloader bootstrap file
rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.bs
# remove .packlist files. 
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# fix permissions on the .so file
chmod 755 $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS TODO COPYING
%{_libdir}/lib*.so.*
%{_bindir}/xfconf-query
%{_libexecdir}/xfconfd
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service
%{_datadir}/gtk-doc/html/xfconf

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfconf-0

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Xfce4
%{_mandir}/man3/*.3*

%changelog
* Fri Feb 27 2009 Vivian Zhang <vivian.zhang@intel.com> 4.6.0
- Update to 4.6.0
* Wed Jan 28 2009 Anas Nashif <anas.nashif@intel.com> 4.5.99.1
- Update to 4.6 RC1
* Thu Jan 22 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.5.93-3
- Let xfce4-settings Obsolete mcs manager and plugin packages
* Thu Jan 22 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.5.93-2
- Add Obsoletes for mcs devel package
* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93
* Fri Jan  2 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.92-4
- Add Obsoletes for mcs packages
* Mon Dec 22 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-3
- Fixes for review ( bug 477732 )
* Mon Dec 22 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-2
- Add gettext BuildRequires
* Sun Dec 21 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Initial version for Fedora
